kshowmail: KFeedbackDialog Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KFeedbackDialog Class Reference

`#include <kfeedback.h>`

List of all members.

## Public Slots
void | checkSendButton ()
## Signals
void | mailSent ()
## Public Member Functions
| KFeedbackDialog (const TQString &feedbackMailAddress, const TQString &helpTopic=TQString::null)
virtual | ~KFeedbackDialog ()
KFeedbackForm * | form ()
## Protected Attributes
KFeedbackForm * | _form

## Detailed Description

Dialog containing a KFeedbackForm and all the infrastructure for sending a mail etc.

Definition at line 42 of file kfeedback.h.

## Constructor & Destructor Documentation

KFeedbackDialog::KFeedbackDialog | ( | const TQString & | feedbackMailAddress,
|  | const TQString & | helpTopic = `TQString::null` |
| ) |  |  |

Constructor.

Definition at line 34 of file kfeedback.cpp.

References _form and checkSendButton().

KFeedbackDialog::~KFeedbackDialog | ( |  | ) | `[virtual]`

Destructor.

Definition at line 64 of file kfeedback.cpp.

## Member Function Documentation

KFeedbackForm* KFeedbackDialog::form | ( |  | ) | `[inline]`

Returns the internal

Definition at line 64 of file kfeedback.h.

References _form.

Referenced by KShowMailApp::slotSendFeedbackMail().

void KFeedbackDialog::checkSendButton | ( |  | ) | `[slot]`

Check if sufficient information is available to send a mail now and enable / disable the "send mail" button accordingly.

Definition at line 71 of file kfeedback.cpp.

References _form, and KFeedbackForm::readyToSend().

Referenced by KFeedbackDialog().

void KFeedbackDialog::mailSent | ( |  | ) | `[signal]`

Emitted when the user has sent the feedback mail - i.e. when he clicked on the "Send mail" button and the mail has successfully been forwarded to the mailer. He can still choose not to send the mail from within the mailer, though.

Referenced by KFeedbackDialog().

The documentation for this class was generated from the following files:

- kshowmail/kfeedback.h
- kshowmail/kfeedback.cpp